import { OnDestroy, OnInit } from "@angular/core";
import { EmployeeSummaryService } from "./employee-summary.service";
import { EmployeeBasicInformationsDataDto } from "../../core/entities/employee-summary/employee-basic-informations-data-dto";
export declare class EmployeeSummaryComponent implements OnInit, OnDestroy {
    private employeeSummaryService;
    set employeeId(value: string);
    _employeeId: string;
    currentEmployee: EmployeeBasicInformationsDataDto;
    loading: boolean;
    private ngUnsubscribe;
    private lastEmployeeId;
    constructor(employeeSummaryService: EmployeeSummaryService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    private getEmployeeBasicInformation;
}
